Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.nlp.trees.tregex
Class TregexPattern.TRegexTreeReaderFactory

    java.lang.Object
      edu.stanford.nlp.trees.tregex.TregexPattern.TRegexTreeReaderFactory

All Implemented Interfaces:
  TreeReaderFactory

Enclosing class:
  TregexPattern

    public static class TregexPattern.TRegexTreeReaderFactory

extends Object
implements TreeReaderFactory

Constructor Summary
`TregexPattern.TRegexTreeReaderFactory()`
`TregexPattern.TRegexTreeReaderFactory(TreeNormalizer tn)`

Method Summary
`TreeReader` | `newTreeReader(Reader in)` Create a new `TreeReader` using the provided `Reader`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TregexPattern.TRegexTreeReaderFactory

    public TregexPattern.TRegexTreeReaderFactory()

### TregexPattern.TRegexTreeReaderFactory

    public TregexPattern.TRegexTreeReaderFactory(TreeNormalizer tn)

Method Detail

### newTreeReader

    public TreeReader newTreeReader(Reader in)

  Description copied from interface: `TreeReaderFactory`
  Create a new `TreeReader` using the provided `Reader`.

  Specified by:
    `newTreeReader` in interface `TreeReaderFactory`
  Parameters:
    `in` - The `Reader` to build on
  Returns:
    The new TreeReader

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Stanford NLP Group